import requests
from faceitpy.types.hub import HubData
from faceitpy.organizer import Organizer


class Hub:
    """Represents a FACEIT Hub."""

    def __init__(self, data: HubData, api_token: str, organizer: Organizer = None):
        self.__token = api_token

        # Set attrs
        self.id = data.get("hub_id", None)
        self.name = data.get("name", None)
        self.avatar = data.get("avatar", None)
        self.cover_image = data.get("cover_image", None)
        self.background_image = data.get("background_image", None)
        self.game_id = data.get("game_id", None)
        self.region = data.get("region", None)
        self.description = data.get("description", None)
        self.chat_room_id = data.get("chat_room_id", None)
        self.organizer_id = data.get("organizer_id", None)
        self.rule_id = data.get("rule_id", None)
        self.players_count = data.get("player_joined", None)
        self.min_skill_level = data.get("min_skill_level", None)
        self.max_skill_level = data.get("max_skill_level", None)
        self.join_permission = data.get("join_permission", None)
        self.url = data.get("faceit_url", None)

        if organizer is not None:
            self.organizer = organizer
        else:
            self.organizer = Organizer._from_organizer_id(
                self.organizer_id, self.__token
            )
